Name:           python-topology
Version:        1.19.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Topology is a framework for building and testing network topologies, with support for pytest.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://topology.rtfd.org/
Source:         %{pypi_source topology}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'topology' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-topology
Summary:        %{summary}

%description -n python3-topology %_description


%prep
%autosetup -p1 -n topology-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-topology -f %{pyproject_files}


%changelog
%autochangelog